JSON for Modern C++ 3.7.3

accept
accept
accept
allocator_type
array
array_t
at
at
at
at
at
at
back
back
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
begin
begin
binary
binary
binary
binary
binary_t
boolean_t
cbegin
cend
clear
const_iterator
const_pointer
const_reference
const_reverse_iterator
contains
contains
count
crbegin
crend
detail::external_constructor
diff
difference_type
dump
emplace
emplace_back
empty
end
end
erase
erase
erase
erase
error_handler_t
exception
find
find
flatten
from_bson
from_bson
from_bson
from_cbor
from_cbor
from_cbor
from_msgpack
from_msgpack
from_msgpack
from_ubjson
from_ubjson
from_ubjson
front
front
get
get
get
get
get
get
get_allocator
get_binary
get_binary
get_ptr
get_ptr
get_ref
get_ref
get_to
get_to
initializer_list_t
input_format_t
insert
insert
insert
insert
insert
insert
insert_iterator
invalid_iterator
is_array
is_binary
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_number_unsigned
is_object
is_primitive
is_string
is_structured
items
items
iterator
iterator_wrapper
iterator_wrapper
json_pointer
json_sax_t
json_serializer
max_size
merge_patch
meta
number_float_t
number_integer_t
number_unsigned_t
object
object_comparator_t
object_t
operator value_t
operator ValueType
operator!=
operator!=
operator!=
operator+=
operator+=
operator+=
operator+=
operator<
operator<
operator<
operator<<
operator<<
operator<=
operator<=
operator<=
operator=
operator==
operator==
operator==
operator>
operator>
operator>
operator>=
operator>=
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
other_error
out_of_range
parse
parse
parse
parse_error
parse_event_t
parser_callback_t
patch
pointer
push_back
push_back
push_back
push_back
rbegin
rbegin
reference
rend
rend
reverse_iterator
sax_parse
sax_parse
sax_parse
size
size_type
string_t
swap
swap
swap
swap
swap
swap
to_bson
to_bson
to_bson
to_cbor
to_cbor
to_cbor
to_msgpack
to_msgpack
to_msgpack
to_ubjson
to_ubjson
to_ubjson
type
type_error
type_name
unflatten
update
update
value
value
value
value
value_t
value_type
~basic_json
| ## ◆ operator[]() [3/8]
reference nlohmann::basic_json::operator[] | ( | const typename object_t::key_type & | key | ) |
| inline
  Returns a reference to the element at with specified key key. Note If key is not found in the object, then it is silently added to the object and filled with a `null` value to make `key` a valid reference. In case the value was `null` before, it is converted to an object. Parameters
  [in] | key | key of the element to access
  Returns reference to the element at key key Exceptions
  type_error.305 | if the JSON value is not an object or null; in that cases, using the [] operator with a key makes no sense.
  Complexity Logarithmic in the size of the container. Example The example below shows how object elements can be read and written using the `[]` operator. 1 #include <iostream> 2 #include <iomanip> 3 #include <nlohmann/json.hpp> 4 5 using json = nlohmann::json; 6 7 int main() 8 { 9 // create a JSON object 10 json object = 11 { 12 {"one", 1}, {"two", 2}, {"three", 2.9} 13 }; 14 15 // output element with key "two" 16 std::cout << object["two"] << "\n\n"; 17 18 // change element with key "three" 19 object["three"] = 3; 20 21 // output changed array 22 std::cout << std::setw(4) << object << "\n\n"; 23 24 // mention nonexisting key 25 object["four"]; 26 27 // write to nonexisting key 28 object["five"]["really"]["nested"] = true; 29 30 // output changed object 31 std::cout << std::setw(4) << object << '\n'; 32 } Output (play with this example online):
      2

      {
          "one": 1,
          "three": 3,
          "two": 2
      }

      {
          "five": {
              "really": {
                  "nested": true
              }
          },
          "four": null,
          "one": 1,
          "three": 3,
          "two": 2
      }
  The example code above can be translated with
      g++ -std=c++11 -Isingle_include doc/examples/operatorarray__key_type.cpp -o operatorarray__key_type
See also at(const typename object_t::key_type&) for access by reference with range checking value() for access by value with a default value Since version 1.0.0 Definition at line 19369 of file json.hpp.

nlohmann::json
basic_json<> json
default JSON class
Definition: json.hpp:2774